package hopital.evenements;

import hopital.nonVivants.Chambre;
import hopital.vivants.Patient;

public class FileAttenteVersHopital extends Evenement {

	private static final long serialVersionUID = 1L;
	private Patient patient = null;
	private Chambre chambre = null;
	
	public FileAttenteVersHopital() {
		this(null,null);
	}

	public FileAttenteVersHopital(Patient patient, Chambre chambre) {
		this.patient = patient;
		this.chambre = chambre;
	}
	
	public String getMessage() {
		return "";
	}

	public Patient getPatient()
	{
		return patient;
	}
	
	public Chambre getChambre()
	{
		return chambre;
	}
	
	public String toString() {
		if (this.chambre != null) {
			if (this.patient != null)
				return this.patient + " passe de la file d'attente  la chambre " + this.chambre; 
			else
				return "Aucun patient passe de la file d'attente  la chambre " + this.chambre;
		}
		else
			return	"";  
	}
}
