package hopital.evenements;

import hopital.nonVivants.BanqueMedicament;
import hopital.nonVivants.Chambre;
import hopital.nonVivants.EntrepotMedicament;
import hopital.vivants.Infirmiere;

public class RemplirBanqueMedicament extends Evenement {

	private static final long serialVersionUID = 1L;
	// L'infimire qui remplie la banque de mdicaments en utilisant ceux
	// dans l'entrepot de mdicaments
	private Infirmiere infirmiere = null;
	
	public Chambre chambre = null;
	
	// Banque de mdicaments dans la chambre
	public BanqueMedicament banque = null;
	
	// Entrepot de mdicaments de l'hpital
	public EntrepotMedicament entrepot = null;
	
	public RemplirBanqueMedicament(Infirmiere infirmiere, Chambre chambre, EntrepotMedicament entrepot) {
		this.infirmiere = infirmiere;
		this.chambre = chambre;
		this.banque = chambre.getBanqueMedicament();
		this.entrepot = entrepot;
	}
	
	public String getMessage() {
		return "";
	}
	
	public String toString() {
		return infirmiere.toString() + " remplie la banque de mdicaments de la chambre " + chambre;
	}
	
}