package hopital.evenements;

import hopital.vivants.EntiteVivante;

public class StabiliserEntiteVivante extends Evenement {

	private static final long serialVersionUID = 1L;
	private EntiteVivante soignant = null;
	private EntiteVivante soigne = null;
	
	public StabiliserEntiteVivante(EntiteVivante soignant, EntiteVivante soigne) {
		this.soignant = soignant;
		this.soigne = soigne;
	}
	
	public EntiteVivante getSoigne() {
		return soigne;
	}
	
	public boolean isStabilise()
	{
		return this.soigne.isStabilise();
	}
	
	public String getMessage() {
		return "";
	}
	
	public String toString() {
		return soignant.toString() + " stabilise la sant de " + soigne.toString();
	}
}
